import request from '@/utils/request'

// 查询企业年报基本信息列表
export function listInfo(query) {
  return request({
    url: '/basicData/xcrAnnualReportBaseInfo/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业年报基本信息详细
export function getInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrAnnualReportBaseInfo/' + xhCodeId,
    method: 'get'
  })
}

// 新增企业年报基本信息
export function addInfo(data) {
  return request({
    url: '/basicData/xcrAnnualReportBaseInfo',
    method: 'post',
    data: data
  })
}

// 修改企业年报基本信息
export function updateInfo(data) {
  return request({
    url: '/basicData/xcrAnnualReportBaseInfo',
    method: 'put',
    data: data
  })
}

// 删除企业年报基本信息
export function delInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrAnnualReportBaseInfo/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
  return request.post('/basicData/xcrAnnualReportBaseInfo/delete',ids)
}
